package com.sinosig.core.module.service.logic.impl;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import com.sinosig.core.module.service.logic.ICUSTOMERGetSFZXXLogic;
import com.sinosig.core.module.domain.CUSTOMER;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.kie.api.runtime.KieSession;
import org.kie.api.runtime.KieContainer;

/**
 * 关系型数据实体[GetSFZXX] 对象
 */
@Service
public class CUSTOMERGetSFZXXLogicImpl implements ICUSTOMERGetSFZXXLogic{

    @Autowired
    private KieContainer kieContainer;


    @Autowired
    private com.sinosig.core.module.service.ICUSTOMERService iBzSysDefaultService;

    public void execute(CUSTOMER et){

          KieSession kieSession = null;
        try{
           kieSession=kieContainer.newKieSession();
           kieSession.insert(et); 
           kieSession.setGlobal("customergetsfzxxdefault",et);
           kieSession.setGlobal("iBzSysCustomerDefaultService",iBzSysDefaultService);
           kieSession.startProcess("com.sinosig.core.module.service.logic.customergetsfzxx");

        }catch(Exception e){
            System.out.println("执行[计算获取身份证附加信息]处理逻辑发生异常"+e);
        }finally {
            if(kieSession!=null)
            kieSession.destroy();
        }
    }

}
